# Class CN1Constants

java.lang.Object
com.codename1.ui.CN1Constants

Direct Known Subclasses:
  `CN, Display`

public class CN1Constants extends Object
Common constants for Display and CN

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DENSITY_2HD`
  Double the HD level density
  `static final int`
  `DENSITY_4K`
  4K level density
  `static final int`
  `DENSITY_560`
  Intermediate density for screens that sit somewhere between HD to 2HD
  `static final int`
  `DENSITY_HD`
  HD Up To 1920x1080
  `static final int`
  `DENSITY_HIGH`
  Hi Density Up To 480x854
  `static final int`
  `DENSITY_LOW`
  Low Density Up To 240x320
  `static final int`
  `DENSITY_MEDIUM`
  Medium Density Up To 360x480
  `static final int`
  `DENSITY_VERY_HIGH`
  Very Hi Density Up To 1440x720
  `static final int`
  `DENSITY_VERY_LOW`
  Very Low Density 176x220 And Smaller
  `static final int`
  `GALLERY_ALL`
  Used by openGallery
  `static final int`
  `GALLERY_ALL_MULTI`
  Used by openGallery
  `static final int`
  `GALLERY_IMAGE`
  Used by openGallery
  `static final int`
  `GALLERY_IMAGE_MULTI`
  Used by openGallery
  `static final int`
  `GALLERY_VIDEO`
  Used by openGallery
  `static final int`
  `GALLERY_VIDEO_MULTI`
  Used by openGallery
  `static final int`
  `PICKER_TYPE_CALENDAR`
  Calendar picker type.
  `static final int`
  `PICKER_TYPE_DATE`
  Date native picker type, it returns a java.util.Date result.
  `static final int`
  `PICKER_TYPE_DATE_AND_TIME`
  Date and time native picker type, it returns a java.util.Date result.
  `static final int`
  `PICKER_TYPE_DURATION`
  Duration picker type.
  `static final int`
  `PICKER_TYPE_DURATION_HOURS`
  Duration picker type.
  `static final int`
  `PICKER_TYPE_DURATION_MINUTES`
  Duration picker type.
  `static final int`
  `PICKER_TYPE_STRINGS`
  Strings native picker type, it returns a String result and accepts a String array.
  `static final int`
  `PICKER_TYPE_TIME`
  Time native picker type, it returns an integer with minutes since midnight.
  `static final int`
  `SMS_BOTH`
  Used by getSMSSupport to indicate that SMS can be sent in either seamless or interactive mode
  `static final int`
  `SMS_INTERACTIVE`
  Used by getSMSSupport to indicate that SMS triggers the native SMS app which will show a compose UI
  `static final int`
  `SMS_NOT_SUPPORTED`
  Used by getSMSSupport to indicate that SMS is not supported
  `static final int`
  `SMS_SEAMLESS`
  Used by getSMSSupport to indicate that SMS is sent in the background without a compose UI

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CN1Constants()`

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Field Details

  - ### DENSITY_VERY_LOW

    public static final int DENSITY_VERY_LOW
    Very Low Density 176x220 And Smaller
    See Also:
      - Constant Field Values

  - ### DENSITY_LOW

    public static final int DENSITY_LOW
    Low Density Up To 240x320
    See Also:
      - Constant Field Values

  - ### DENSITY_MEDIUM

    public static final int DENSITY_MEDIUM
    Medium Density Up To 360x480
    See Also:
      - Constant Field Values

  - ### DENSITY_HIGH

    public static final int DENSITY_HIGH
    Hi Density Up To 480x854
    See Also:
      - Constant Field Values

  - ### DENSITY_VERY_HIGH

    public static final int DENSITY_VERY_HIGH
    Very Hi Density Up To 1440x720
    See Also:
      - Constant Field Values

  - ### DENSITY_HD

    public static final int DENSITY_HD
    HD Up To 1920x1080
    See Also:
      - Constant Field Values

  - ### DENSITY_560

    public static final int DENSITY_560
    Intermediate density for screens that sit somewhere between HD to 2HD
    See Also:
      - Constant Field Values

  - ### DENSITY_2HD

    public static final int DENSITY_2HD
    Double the HD level density
    See Also:
      - Constant Field Values

  - ### DENSITY_4K

    public static final int DENSITY_4K
    4K level density
    See Also:
      - Constant Field Values

  - ### PICKER_TYPE_DATE

    public static final int PICKER_TYPE_DATE
    Date native picker type, it returns a java.util.Date result.
    See Also:
      - Constant Field Values

  - ### PICKER_TYPE_TIME

    public static final int PICKER_TYPE_TIME
    Time native picker type, it returns an integer with minutes since midnight.
    See Also:
      - Constant Field Values

  - ### PICKER_TYPE_DATE_AND_TIME

    public static final int PICKER_TYPE_DATE_AND_TIME
    Date and time native picker type, it returns a java.util.Date result.
    See Also:
      - Constant Field Values

  - ### PICKER_TYPE_STRINGS

    public static final int PICKER_TYPE_STRINGS
    Strings native picker type, it returns a String result and accepts a String array.
    See Also:
      - Constant Field Values

  - ### PICKER_TYPE_DURATION

    public static final int PICKER_TYPE_DURATION
    Duration picker type. It returns Long result (milliseconds).
    See Also:
      - Constant Field Values

  - ### PICKER_TYPE_DURATION_HOURS

    public static final int PICKER_TYPE_DURATION_HOURS
    Duration picker type. It returns Long result (milliseconds).
    See Also:
      - Constant Field Values

  - ### PICKER_TYPE_DURATION_MINUTES

    public static final int PICKER_TYPE_DURATION_MINUTES
    Duration picker type. It returns Long result (milliseconds).
    See Also:
      - Constant Field Values

  - ### PICKER_TYPE_CALENDAR

    public static final int PICKER_TYPE_CALENDAR
    Calendar picker type. It returns java.util.Date result;
    See Also:
      - Constant Field Values

  - ### SMS_NOT_SUPPORTED

    public static final int SMS_NOT_SUPPORTED
    Used by getSMSSupport to indicate that SMS is not supported
    See Also:
      - Constant Field Values

  - ### SMS_SEAMLESS

    public static final int SMS_SEAMLESS
    Used by getSMSSupport to indicate that SMS is sent in the background without a compose UI
    See Also:
      - Constant Field Values

  - ### SMS_INTERACTIVE

    public static final int SMS_INTERACTIVE
    Used by getSMSSupport to indicate that SMS triggers the native SMS app which will show a compose UI
    See Also:
      - Constant Field Values

  - ### SMS_BOTH

    public static final int SMS_BOTH
    Used by getSMSSupport to indicate that SMS can be sent in either seamless or interactive mode
    See Also:
      - Constant Field Values

  - ### GALLERY_IMAGE

    public static final int GALLERY_IMAGE
    Used by openGallery
    See Also:
      - Constant Field Values

  - ### GALLERY_VIDEO

    public static final int GALLERY_VIDEO
    Used by openGallery
    See Also:
      - Constant Field Values

  - ### GALLERY_ALL

    public static final int GALLERY_ALL
    Used by openGallery
    See Also:
      - Constant Field Values

  - ### GALLERY_IMAGE_MULTI

    public static final int GALLERY_IMAGE_MULTI
    Used by openGallery
    See Also:
      - Constant Field Values

  - ### GALLERY_VIDEO_MULTI

    public static final int GALLERY_VIDEO_MULTI
    Used by openGallery
    See Also:
      - Constant Field Values

  - ### GALLERY_ALL_MULTI

    public static final int GALLERY_ALL_MULTI
    Used by openGallery
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CN1Constants

    public CN1Constants()